[SOLVED] firmware-amd-graphics not working for older GPUs

Getting your soundcard to work, using Debian on non-i386 hardware, etc

[SOLVED] firmware-amd-graphics not working for older GPUs

Postby Voluminous » 2019-07-21 00:17

I just installed Debian Buster on an old netbook, and I want the Graphics drivers to be properly set up.
My hardware is very old: Radeon HD 6290, but still, Linux prides itself in working well with older hardware, and so I expect it to support my card. And it's hardly a weak card, being able to run older versions of Space Engine with acceptable performance.

When the system starts up, it gives the following message:

[ 4.959302] [drm:radeon_pci_probe [radeon]] *ERROR* radeon kernel modesetting for R600 or later requires firmware installed


And on top of that, the backlight is stuck at maximum brightness with no way to change it.
radeontool does not work, and /sys/class/backlight/ only has a directory named acpi_video0, and manipulating the files there has no effect.

So I added contib and non-free to my sources.list and installed firmware-amd-graphics.
After restarting the computer, nothing changed - it still tells me it needs the firmware at boot time, and backlight control does not work.

I tried reinstalling firmware-amd-graphics, but still the problem persists.

I tried booting with the nomodeset kernel parameter, but the only thing that changed is the startup message:
[18.197827] [drm:radeon_init [radeon]] *ERROR* No UMS support in radeon module!


It is evident that the firmware-amd-graphics package no longer comes with firmware for a card this old.
I tried installing the Catalyst (fglrx) 15.9 drivers from AMD, but the installer tells me it is incompatible with the X Server version and refuses to install:
error: Detected X Server version 'XServer 1.20.4_64a' is not supported. Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib32:XServer 1.20.4_64a:none:4.19.0-5-amd64:)
Installation will not proceed.


If anyone has any ideas on where I could find working firmware for my card, your help will be appreciated.

Thank you.
Last edited by Voluminous on 2019-07-21 13:16, edited 1 time in total.
Voluminous
 
Posts: 8
Joined: 2014-03-01 18:40

Re: firmware-amd-graphics not working for older GPUs

Postby Segfault » 2019-07-21 01:30

Check your dmesg for exact name of firmware blobs required, get the fimware from https://git.kernel.org/pub/scm/linux/ke ... rmware.git
Unpack and copy the required files into proper location. The exact location where the driver expects it to be will be in dmesg, too.

It probably will be radeon/R600_rlc.bin radeon/R600_uvd.bin

Rest is your homework.

Edit: There may be a Debian package with these two blobs, I stopped using Debian myself when it switched to systemd, thus cannot tell for sure.
Segfault
 
Posts: 914
Joined: 2005-09-24 12:24

Re: firmware-amd-graphics not working for older GPUs

Postby theblueplll » 2019-07-21 03:34

Segfault wrote:get the fimware from https://git.kernel.org/pub/scm/linux/ke ... rmware.git


This is terrbile advice in my opinion.
Should make sure Debian doesn't have it first.
theblueplll
 
Posts: 154
Joined: 2019-04-29 01:17

Re: firmware-amd-graphics not working for older GPUs

Postby L_V » 2019-07-21 06:16

@Voluminous
Looks strange. Just to check

Code: Select all
lspci | grep VGA
apt-cache policy firmware-amd-graphics | grep Inst
apt-cache show firmware-amd-graphics | grep R600
ls -1 /lib/firmware/radeon/R600*
uname -a
L_V
 
Posts: 1046
Joined: 2007-03-19 09:04

Re: firmware-amd-graphics not working for older GPUs

Postby sunrat » 2019-07-21 07:25

theblueplll wrote:
Segfault wrote:get the fimware from https://git.kernel.org/pub/scm/linux/ke ... rmware.git


This is terrbile advice in my opinion.
Should make sure Debian doesn't have it first.


OP already installed firmware-amd-graphics and it didn't contain the required firmware.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2796
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: firmware-amd-graphics not working for older GPUs

Postby Voluminous » 2019-07-21 13:15

Thank you all for the replies, but I just solved the problem...
I ran sudo update-initramfs –u to see what it will say about the missing firmware, and after rebooting the message is gone and I can control the backlight.

Seems when installing the firmware-amd-graphics package, the setting-up phase didn't run update-initramfs for some reason.
Voluminous
 
Posts: 8
Joined: 2014-03-01 18:40

Re: [SOLVED] firmware-amd-graphics not working for older GPU

Postby L_V » 2019-07-21 13:20

I was surprised by your problem because I've been using R600 with Debian without any problem.
L_V
 
Posts: 1046
Joined: 2007-03-19 09:04


Return to Hardware

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable